curl --request PUT \
--url https://api.qovery.com/deploymentStage/{deploymentStageId}/service/{serviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_skipped": true
}
'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"deployment_order": 1,
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_type": "<string>",
"is_skipped": true
}
]
}
]
}Moves the service to the specified deployment stage. To skip a service from environment-level deployments while keeping it in its current stage, set is_skipped: true in the request body. Moving the service to a different stage automatically un-skips it (sets is_skipped: false).
curl --request PUT \
--url https://api.qovery.com/deploymentStage/{deploymentStageId}/service/{serviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_skipped": true
}
'{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"deployment_order": 1,
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_type": "<string>",
"is_skipped": true
}
]
}
]
}JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Deployment Stage ID
Service ID of an application/job/container/database
When true, marks the service as skipped (excluded from environment-level bulk deployments) while keeping it in the specified stage. When false or omitted, the service is moved to the specified stage and un-skipped.
List of deployment stages for the env
Show child attributes
Was this page helpful?